PDA

View Full Version : parseDate



evant
22 Jun 2009, 7:56 PM
Runs fine in the SVN version, please don't hijack the thread ;)

mystix
22 Jun 2009, 9:56 PM
I'm sorry, me again :D

And what about Date.parseDate?
try to run this code extracted from docs:

Date.parseDate("2006-01-15", "Y-m-d");
under 3.0rc2 it returns "g[h] is not a function" missatge error, rather than a date object.. is too late here? or parseDate function have something wrong?

runs perfectly fine on the following 3.0rc2 example page when executed from the Firebug console:
http://extjs.com/deploy/ext-3.0-rc2/examples/form/dynamic.html

and like @evant says, pls refrain from thread hijacking. /:)

nebbian
15 Dec 2009, 1:43 AM
Originally Posted by analpaper http://www.extjs.com/forum/images/buttons/viewpost.gif (http://www.extjs.com/forum/showthread.php?p=347355#post347355)
I'm sorry, me again :D

And what about Date.parseDate?
try to run this code extracted from docs:

Date.parseDate("2006-01-15", "Y-m-d");




under 3.0rc2 it returns "g[h] is not a function" missatge error, rather than a date object.. is too late here? or parseDate function have something wrong?



I was banging my head against this one, if it's happening to you then chances are you've got an override.js file kicking around somewhere to let ExtJS 2 parse dates correctly.

Get rid of the override and ExtJS 3 will parse dates correctly B)

(sorry if this is hijacking, couldn't find this anywhere else on the web)

mystix
15 Dec 2009, 8:44 AM
I was banging my head against this one, if it's happening to you then chances are you've got an override.js file kicking around somewhere to let ExtJS 2 parse dates correctly.

Get rid of the override and ExtJS 3 will parse dates correctly B)

(sorry if this is hijacking, couldn't find this anywhere else on the web)

the Date class is identical in both Ext 2.3.0 and 3.x.
try upgrading to 2.3.0 if you're experiencing problems parsing Dates in prior versions of Ext 2.

nebbian
15 Dec 2009, 3:49 PM
Thanks Mystix, I was running 2.2.1 previously (which didn't parse dates well, hence the override).
Hopefully this helps someone else who is migrating to Ext 3.